package com.goldenwater.slaj.hazard.service.impl;

import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.goldenwater.slaj.hazard.mapper.ObjHazMapper;
import com.goldenwater.slaj.hazard.domain.ObjHaz;
import com.goldenwater.slaj.hazard.service.IObjHazService;

/**
 * 危险源对象 服务层实现
 */
@Service
public class ObjHazServiceImpl implements IObjHazService {

    @Autowired
    private ObjHazMapper objHazMapper;

    /**
     * 查询危险源对象信息
     * @param guid 查询条件
     * @return 危险源对象信息
     */
    @Override
    public ObjHaz selectObjHazByGuid(String guid) {
        return objHazMapper.selectObjHazByGuid(guid);
    }

    /**
     * 查询危险源对象列表
     * @param objHaz 危险源对象查询条件
     * @return 危险源对象集合
     */
    @Override
    public List<ObjHaz> selectObjHazList(ObjHaz objHaz) {
        return objHazMapper.selectObjHazList(objHaz);
    }

    /**
     * 新增危险源对象
     * @param objHaz 危险源对象信息
     * @return 影响行数
     */
    @Override
    public int insertObjHaz(ObjHaz objHaz) {
        return objHazMapper.insertObjHaz(objHaz);
    }

    /**
     * 修改危险源对象
     * @param objHaz 危险源对象信息
     * @return 影响行数
     */
    @Override
    public int updateObjHaz(ObjHaz objHaz) {
        return objHazMapper.updateObjHaz(objHaz);
    }

    /**
     * 删除危险源对象
     * @param guid 危险源对象主键
     * @return 影响行数
     */
    @Override
    public int deleteObjHazByGuid(String guid) {
        return objHazMapper.deleteObjHazByGuid(guid);
    }

    /**
     * 批量删除危险源对象
     * @param guids 危险源对象主键数组
     * @return 影响行数
     */
    @Override
    public int deleteObjHazByGuids(String[] guids) {
        return objHazMapper.deleteObjHazByGuids(guids);
    }
}
